# Fetch related webhook_subscription Endpoint: GET /v2/webhook_deliveries/{id}/relationships/webhook_subscription Version: 1.0 Security: bearerAuth ## Path parameters: - `id` (string, required) the identifier of the record ## Query parameters: - `fields` (string) sparse fieldsets: fields[TYPE]=field1,field2,... - `include` (string) list of included related resources ## Header parameters: - `User-Agent` (string, required) The name and version of the client making the request Example: "CHOAM EPT Client v10191 (Ruby Client v3)" ## Response 200 fields (application/vnd.api+json): - `data` (object) A WebhookSubscription allows you to subscribe to events that occur in the Edge system and get notified through webhooks. You can subscribe one or more of of the following events: ## Supported Events | Event Code | Description | |-----------------------------------------------|----------------------------------------------| | transaction.payment_demands.created | A payment demand was created. | | transaction.payment_demands.succeeded | A payment demand was successfully processed. | | transaction.payment_demands.failed | A payment demand failed to process. | | transaction.payment_demands.refunded | A payment demand was refunded. | | transaction.payment_demands.disputed | A payment demand was disputed. | | transaction.refund_demands.created | A refund demand was created. | | transaction.refund_demands.succeeded | A refund demand was successfully processed. | | transaction.refund_demands.failed | A refund demand failed to process. | | transaction.payment_subscriptions.created | A payment subscription was created. | | transaction.payment_subscriptions.updated | A payment subscription was updated. | | consumer.customers.created | A customer was created. | | consumer.customers.updated | A customer was updated. | | consumer.addresses.created | A consumer address was created. | | consumer.addresses.updated | A consumer address was updated. | ## Verification When created, each WebhookSubscription will be assigned a unique secret_key. This key will be used to generate a signature for the webhook payload using SHA1 hashing algorithm and will be available under the X-Hub-Signature header. Example: {"attributes":{"active":true,"concurrency_limit":50,"created_at":"2024-06-06T21:48:33.382755Z","description":"Webhook for payment demands","events":["transaction.payment_demands.created","transaction.payment_demands.succeeded","transaction.payment_demands.failed"],"secret_key":"shh-itsasecret","updated_at":"2024-06-06T21:48:33.382755Z","url":"https://example.com/webhook"},"id":"c3c0de01-3db6-41c3-942f-0c5f8a5a4c07","links":{},"relationships":{},"type":"webhook_subscriptions"} - `data.attributes` (object) Members of the attributes object (attributes) represent information about the resource object in which it's defined. Example: {"active":true,"concurrency_limit":50,"created_at":"2024-06-06T21:48:33.382755Z","description":"Webhook for payment demands","events":["transaction.payment_demands.created","transaction.payment_demands.succeeded","transaction.payment_demands.failed"],"secret_key":"shh-itsasecret","updated_at":"2024-06-06T21:48:33.382755Z","url":"https://example.com/webhook"} - `data.attributes.active` (boolean) Whether the webhook subscription is active Example: true - `data.attributes.concurrency_limit` (integer) The number of concurrent requests allowed Example: 50 - `data.attributes.created_at` (string) Example: "2024-06-06T21:48:33.382755Z" - `data.attributes.description` (string) A description of the webhook subscription Example: "Webhook for payment demands" - `data.attributes.events` (array) Example: ["transaction.payment_demands.created","transaction.payment_demands.succeeded","transaction.payment_demands.failed"] - `data.attributes.mode` (string) The environment the webhook subscription listens on - `data.attributes.secret_key` (string) The secret key used to sign the webhook Example: "shh-itsasecret" - `data.attributes.updated_at` (string) Example: "2024-06-06T21:48:33.382755Z" - `data.attributes.url` (string) The URL to send the webhook to Example: "https://example.com/webhook" - `data.id` (string, required) [resource object identifier](https://jsonapi.org/format/#document-resource-object-identification) - `data.links` (object, required) The links of the type Example: {} - `data.relationships` (object) The relationships of the type Example: {} - `data.type` (string, required) [resource object type](https://jsonapi.org/format/#document-resource-object-identification) Enum: "webhook_subscriptions" - `jsonapi` (object) An object describing the server's implementation - `jsonapi.meta` (object) Non-standard meta-information that can not be represented as an attribute or relationship. - `jsonapi.meta.authors` (array) A list of all the authors of this work - `jsonapi.meta.copyright` (string) - `jsonapi.version` (string) - `links` (object, required) May contain self, related, or pagination links (first, last, prev, next). - `links.first` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.last` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.next` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.prev` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.related` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.self` (any) A link MUST be represented as either: a string containing the link's URL or a link object. ## Response 422 fields (application/vnd.api+json): - `errors` (array, required) - `errors.code` (string) An application-specific error code, expressed as a string value. - `errors.detail` (string) A human-readable explanation specific to this occurrence of the problem. - `errors.id` (string) A unique identifier for this particular occurrence of the problem. - `errors.links` (object) May contain self, related, or pagination links (first, last, prev, next). - `errors.links.first` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.last` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.next` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.prev` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.related` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.self` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.meta` (object) Non-standard meta-information that can not be represented as an attribute or relationship. - `errors.meta.authors` (array) A list of all the authors of this work - `errors.meta.copyright` (string) - `errors.source` (object) - `errors.source.parameter` (string) A string indicating which query parameter caused the error. - `errors.source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. /data for a primary data object, or /data/attributes/title for a specific attribute]. - `errors.status` (string) The HTTP status code applicable to this problem, expressed as a string value. - `errors.title` (string) A short, human-readable summary of the problem. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - `jsonapi` (object) An object describing the server's implementation - `jsonapi.version` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 406 fields